---
title: HTMLTableColElement
slug: Web/API/HTMLTableColElement
tags:
  - API
  - HTML DOM
  - Interface
  - NeedsNewLayout
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <strong><code>HTMLTableColElement</code></strong> interface provides special properties (beyond the {{domxref("HTMLElement")}} interface it also has available to it inheritance) for manipulating single or grouped table column elements.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("HTMLElement")}}</em>.</p>

<dl>
 <dt>{{domxref("HTMLTableColElement.align")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} that indicates the horizontal alignment of the cell data in the column.</dd>

 <dt>{{domxref("HTMLTableColElement.ch")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing the alignment character for cell data.</dd>

 <dt>{{domxref("HTMLTableColElement.chOff")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing the offset for the alignment character.</dd>

 <dt>{{domxref("HTMLTableColElement.span")}}</dt>
 <dd>Is an <code>unsigned long</code> that reflects the {{htmlattrxref("span", "col")}} HTML attribute, indicating the number of columns to apply this object's attributes to. Must be a positive integer.</dd>

 <dt>{{domxref("HTMLTableColElement.vAlign")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} that indicates the vertical alignment of the cell data in the column.</dd>

 <dt>{{domxref("HTMLTableColElement.width")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing the default column width.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; inherits methods from its parent, {{domxref("HTMLElement")}}</em>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "tabular-data.html#htmltablecolelement", "HTMLTableColElement")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "tabular-data.html#htmltablecolelement", "HTMLTableColElement")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>The <code>span</code> property is now an <code>unsigned long</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-84150186', 'HTMLTableColElement')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName("DOM1")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-84150186', 'HTMLTableColElement')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableColElement")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The HTML element implementing this interface: {{HTMLElement("col")}} and {{HTMLElement("colgroup")}}.</li>
</ul>
